Skip to main content
Model IDgoogle-veo-2
ProviderGoogle
Cost$3.00/video
Duration5-8s
Speed~40s
Best forFastest + high quality

Example

curl -X POST https://ninjachat.ai/api/v1/video \
  -H "Authorization: Bearer nj_sk_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "google-veo-2", "prompt": "Underwater camera glides through a bioluminescent coral reef, neon creatures pulse with light", "duration": 5}'
import requests, os

r = requests.post("https://ninjachat.ai/api/v1/video",
    headers={"Authorization": f"Bearer {os.environ['NINJACHAT_API_KEY']}"},
    json={"model": "google-veo-2", "prompt": "Underwater camera glides through a bioluminescent coral reef, neon creatures pulse with light", "duration": 5}
)
print(f"Poll: {r.json()['request_id']}")

Guides: Video Generation | All Models | Pricing | Error Handling